<?xml version="1.0"?>
<xsl:stylesheet 
    version="1.1"  
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format"
  xmlns:saxon="http://icl.com/saxon"
  xmlns:fox="http://xml.apache.org/fop/extensions"
  xmlns:results="results" extension-element-prefixes="saxon">       
 
  <xsl:template match="html">    
      <xsl:apply-templates select="body"/>      
  </xsl:template> 
  
  <xsl:template match="a"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="address">   
    <xsl:apply-templates select="*|text()"/>   
  </xsl:template>
  
  <xsl:template match="b"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="big">    
      <xsl:apply-templates select="*|text()"/>   
  </xsl:template>
  
  <xsl:template match="blockquote"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="body"><xsl:apply-templates select="/html/head/title"/><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="br">
    <xsl:if test="ancestor::td">
      <xsl:text xml:space="preserve"> </xsl:text>
    </xsl:if>
    <xsl:if test="not(ancestor::td)">
    <xsl:text>&#xa;</xsl:text>     
    </xsl:if>
  </xsl:template>

  <xsl:template match="center">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>
  
  <xsl:template match="cite">
    <xsl:apply-templates select="*|text()"/>
  </xsl:template>

  <xsl:template match="code">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>

  <xsl:template match="dl">
    <xsl:apply-templates select="*"/>
  </xsl:template>

  <xsl:template match="dt">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>

  <xsl:template match="dd"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="em"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="font"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="h1"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="h2"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="h3"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="h4"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="h5"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="h6"><xsl:apply-templates select="*|text()"/></xsl:template>
 
  <xsl:template match="hr"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="i">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>
  
  <xsl:template match="img">    
  </xsl:template>
  
  <xsl:template match="kbd">    
    <xsl:apply-templates select="*|text()"/>
  </xsl:template>
  
  <xsl:template match="nobr"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="ol">      
      <xsl:call-template name="create-ordered-list"/>
    </xsl:template>
  
  <xsl:template name="create-ordered-list"><xsl:apply-templates select="*"/></xsl:template>
  
  <xsl:template match="ol/li">
      <xsl:variable name="depth" saxon:assignable="yes" select="count(ancestor::ol) + count(ancestor::ul)"/>           
      <saxon:while test="$depth &gt; 0">
          <xsl:text>&#9;</xsl:text>
          <saxon:assign name="depth" select="($depth) - 1"/>                                    
      </saxon:while>
      <xsl:apply-templates select="*|text()"/>
      <xsl:text>&#xa;</xsl:text>
  </xsl:template>

   <xsl:template match="p"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="pre">         
      <xsl:apply-templates select="*|text()"/>                
  </xsl:template>

    <xsl:template match="samp">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>

  <xsl:template match="small">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>

  <xsl:template match="strike">    
      <xsl:apply-templates select="*|text()"/>    
  </xsl:template>
  
  <xsl:template match="strong">
      <xsl:apply-templates select="*|text()"/>
  </xsl:template>
  
  <xsl:template match="sub">    
      <xsl:apply-templates select="*|text()"/>
  </xsl:template>

  <xsl:template match="sup">
      <xsl:apply-templates select="*|text()"/>
  </xsl:template>

  <xsl:template match="table"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="td"><xsl:text>&#9;</xsl:text><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="tfoot"><xsl:apply-templates select="tr"/><xsl:text>&#xa;</xsl:text></xsl:template>
  
  <xsl:template match="title"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="tr"><xsl:apply-templates select="*|text()"/><xsl:text>&#xa;</xsl:text></xsl:template>

  <xsl:template match="tt"><xsl:apply-templates select="*|text()"/></xsl:template>

  <xsl:template match="u"><xsl:apply-templates select="*|text()"/></xsl:template>
  
  <xsl:template match="ul">
      <xsl:apply-templates select="*|text()"/>
  </xsl:template>

  <xsl:template match="ul/li">
      <xsl:variable name="depth" saxon:assignable="yes" select="count(ancestor::ol) + count(ancestor::ul)"/>           
      <saxon:while test="$depth &gt; 0">
          <xsl:text>&#9;</xsl:text>
          <saxon:assign name="depth" select="($depth) - 1"/>                                    
      </saxon:while>
      <xsl:apply-templates select="*|text()"/>
      <xsl:text>&#xa;</xsl:text>
  </xsl:template>

  <xsl:template match="var"><xsl:apply-templates select="*|text()"/></xsl:template>
</xsl:stylesheet>
